<template>
  <div id="app">
    <NickName v-show="showNickname" @clicked="setData" />
    <ChatRoom :user="user" v-show="!showNickname" />
  </div>
</template>

<script>
import ChatRoom from "./components/ChatRoom.vue";
import NickName from "./components/NickName.vue";
export default {
  name: "App",
  components: {
    ChatRoom,
    NickName,
  },
  data() {
    return {
      showNickname: true,
      user: { id: null, name: null },
    };
  },
  methods: {
    setData(nickname) {
      if (nickname) {
        this.showNickname = false;
        this.user.name = nickname;
      }
    },
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
